<script lang="ts">
async function getProductByID(id: string) {
  const response = await fetch("https://fakestoreapi.com/products/" + id);
  const data = await response.json();

  return data;
}

export default {
  mounted() {
    this.getProductByID();
  },
  data() {
    return {
      product: {},
      isLoading: true,
      quantity: 1
    };
  },
  methods: {
    async getProductByID() {
      const id = this.$route.params.id;
      const data = await getProductByID(id);
      this.product = data;
      this.isLoading = false;
    },
    addToCart() {
      this.$store.commit('addToCart', { product: this.product.title, quantity: Number(this.quantity), price: this.product.price });
    }
  }
}
</script>


<template>
  <section class="product">
    <p v-if="isLoading">loading...</p>
    <h1 v-if="!isLoading">Product ID: {{  product.id  }}</h1>
    <p>Price: {{  product.price  }}BGN</p>
    <input placeholder="quantity" v-model="quantity" />
    <button @click="addToCart">Add to cart</button>
  </section>
</template>
